package org.example;

import java.nio.file.FileSystems;
import java.nio.file.Path;
import java.nio.file.Paths;

public class RelativeToAbsolutePathPlatformIndependent {
    public static void main(String[] args) {
        // Define the current working directory
        Path currentDir = Paths.get("/home/user/documents/");

        // Specify the relative path
        String relativePath = "images/image.jpg";

        // Get the platform-specific path separator
        String separator = FileSystems.getDefault().getSeparator();

        // Convert the relative path to an absolute path
        Path absolutePath = currentDir.resolve(relativePath);

        // Display the absolute path
        System.out.println("Absolute Path: " + absolutePath.toString());
    }
}
